var CleverYouTubePluginHelper;
var cypObjects = Array();
var cypObjectOptions = Array();
var cypresponsivetimer;
var cyppopupobject;

CleverYouTubePluginHelper =
{
	greeting : function ()
	{
		console.log("CYP: loaded.");
	},

	loadYouTubeiFrameAPI : function ()
	{
		// Create tag element
		var tag = document.createElement("script");
		tag.src = "//www.youtube.com/iframe_api";

		// Add tag element before first script element in page
		var firstScriptTag = document.getElementsByTagName("script")[0];
		firstScriptTag.parentNode.insertBefore(tag, firstScriptTag);
	},

	checkResize : function ()
	{
		jQuery(".cyp-video-object.responsive").each(function(i, j)
		{
			count = jQuery(this).parent().attr("data-count");
			parentparent = jQuery(this).parent().parent();

			parentparentTF = parentparent.width() / 32;
			currentTF = jQuery(this).width() / 32;
			originalTF = cypObjectOptions[count].transformFactor;

			if (currentTF > parentparentTF)
			{
				// Video Player is larger than parentparent
				jQuery(this).css(
				{
					"font-size": parentparentTF + "px"
				});
			}
			else if (currentTF == parentparentTF)
			{
				// Same Size. Ignore
			}
			else
			{
				// Video Player is smaller than parentparent
				if (parentparentTF >= originalTF)
				{
					// parentparent is wider than original, so we use original width
					jQuery(this).css(
					{
						"font-size": originalTF + "px"
					});
				}
				else
				{
					// original width is bigger than parentparent, so we use parentparent width
					jQuery(this).css(
					{
						"font-size": parentparentTF + "px"
					});
				}
			}

			CleverYouTubePluginHelper.resetImageContainers(count);
		});
	},

	checkForFlash : function ()
	{
		var hasFlash = false;

		try
		{
			var fo = new ActiveXObject('ShockwaveFlash.ShockwaveFlash');
			if (fo)
			{
				hasFlash = true;
			}
		}
		catch (e)
		{
			if(navigator.mimeTypes["application/x-shockwave-flash"] != undefined)
			{
				hasFlash = true;
			}
		}

		if (hasFlash)
		{
			jQuery(".cyp-flash-fallback").remove();
		}
		else
		{
			jQuery(".cyp-flash-button").remove();
		}
	},

	removeWrappers : function ()
	{
		jQuery(".fluid-width-video-wrapper > *").unwrap();
	},

	proccessObjects : function ()
	{
		jQuery(".cyp-video-object-holder").each(function(i, j)
		{
			cypObjects.push(CleverYouTubePluginObject(this));
		});
	},

	resetAllImages : function ()
	{
		jQuery(".cyp-video-object-holder").each(function(i, j)
		{
			element = jQuery(this);
			count = element.attr("data-count");
			CleverYouTubePluginHelper.resetImageContainers(count);
		});
	},

	resetPadding : function ()
	{
		jQuery(".cyp-video-object-image-container img").each(function(i, j)
		{
			jQuery(this).css({
				"margin": 0,
				"padding": 0,
				"border": "none"
			});
		});
		CleverYouTubePluginHelper.resetImageContainers();
	},

	resetImageContainers : function (num)
	{
		// Not really image related but remove video containers
		jQuery(".fluid-width-video-wrapper > *").unwrap();
		jQuery(".cyp-video-object-video").css({"height": "inherit", "width": "inherit"});

		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-image-container").each(function(i, j)
		{
			imagecontainer = jQuery(this);
			image = jQuery(this).find("img");

			image.css({
				"width": "auto",
				"height": "auto"
			});

			container_height = imagecontainer.height();
			container_width = imagecontainer.width();

			image_height = image.height();
			image_width = image.width();

			new_image_height = null;
			new_image_width = null;

			if( (image_height / image_width) > (container_height / container_width) )
			{
				// fit width
				new_image_width = Math.ceil( container_width );
				new_image_height = Math.ceil( image_height * new_image_width / image_width );
			}
			else
			{
				// fit height
				new_image_height = Math.ceil( container_height );
				new_image_width = Math.ceil( image_width * new_image_height / image_height );
			}

			image_left = Math.floor( (container_width - new_image_width) / 2 );
			image_top = Math.floor( (container_height - new_image_height) / 2 );

			if (new_image_height == "0" || new_image_height == "")
			{
				image.css({
					"height": "auto",
					"width": new_image_width + "px",
					"left":  image_left + "px",
					"top": image_top + "px"
				});
			}
			else
			{
				image.css({
					"height": new_image_height + "px",
					"width": new_image_width + "px",
					"left":  image_left + "px",
					"top": image_top + "px"
				});
			}
		});
	},

	resetPanels : function (num)
	{
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-play-button").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-repeat-button").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-before-html").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-newser").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-overlay").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-before-image").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-html").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-image").show();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-video").show();
	},

	playClicked : function (num)
	{
		// Bring in the video
		CleverYouTubePluginHelper.createVideo(num);

		// Hide the other panels
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-play-button").hide();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-repeat-button").hide();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-before-html").hide();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-newser").hide();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-before-image").hide();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-html").hide();
		jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-image").hide();
			
		if (cypObjectOptions[num].showrepeatbutton == true)
		{
		}

		jQuery(document).focus();
	},

	toggle : function (num)
	{
		if (jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-toggle-handle").hasClass("expanded"))
		{
			// Hide Objects
			jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-toggle-handle").removeClass("expanded");
			jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-video-object").slideUp(200);
			jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-video-object-caption").slideUp(200);
		}
		else
		{
			// Show Objects
			jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-toggle-handle").addClass("expanded");
			jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-video-object").slideDown(200);
			jQuery(".cyp-video-object-holder[data-count=" + num + "].cyp-toggle .cyp-video-object-caption").slideDown(200);

			// Delay 200s
			setTimeout(function () {
				CleverYouTubePluginHelper.resetAllImages();
			}, 200);
		}
	},

	createVideo : function (num)
	{
		var control_code;
		if( ! cypObjectOptions[num].hasControls )
		{
			control_code = 0;
		}
		else
		{
			control_code = 1;
		}

		// YouTube API Variables
		// https://developers.google.com/youtube/player_parameters
		var tempPlayer = new YT.Player("cyp-video-" + num,
		{
			playerVars:
			{
				enablejsapi: 1,
				iv_load_policy: cypObjectOptions[num].show_annotations,
				modestbranding: 0,
				vq: cypObjectOptions[num].quality,
				theme: cypObjectOptions[num].controlColor,
				showinfo: 0,
				controls: control_code,
				wmode: 'opaque',
				autoplay: 1,
				rel : 0,
				start : cypObjectOptions[num].starttime,		
				end : cypObjectOptions[num].endtime,	
				autohide : 1
			},
			height: (cypObjectOptions[num].transformFactor * 18),
			width: (cypObjectOptions[num].transformFactor * 32),
			videoId: cypObjectOptions[num].videoid,
			events:
			{
				'onStateChange': CleverYouTubePluginHelper.onPlayerStateChange
			}
		});
		
		cypObjectOptions[num].youtubeobject = tempPlayer;

		// remove title tag
		jQuery("#cyp-video-" + num).attr("title", "");
	},

	createPopoutVideo : function (videoid, width, quality)
	{
		var transformFactor = width / 32;

		if ( quality == "small"
			|| quality == "medium"
			|| quality == "large"
			|| quality == "hd720"
			|| quality == "hd1080" )
		{
			// passed check
		}
		else
		{
			quality = "default";
		}
	
		if ( jQuery("#cyp-popup-object-video").length == 0 )
		{
			// create div
			jQuery("body").append("<div class=\"cyp-popup-object-wrapper\" style=\"font-size: " + transformFactor + "px;\"><div class=\"cyp-popup-object\"><div class=\"cyp-popup-object-close\">&times;</div><div class=\"cyp-popup-object-video\" id=\"cyp-popup-object-video\"></div></div></div>");

			// set click options
			jQuery(document).mouseup(function ( e )
			{
				if ( e.target.className != "cyp-popup-object" )
				{
					CleverYouTubePluginHelper.destroyPopopPlayer();
				}
			});

			jQuery(".cyp-popup-object-close").mousedown(function ( e )
			{
				CleverYouTubePluginHelper.destroyPopopPlayer();
			});
		}

		// YouTube API Variables
		// https://developers.google.com/youtube/player_parameters
		var tempPlayer = new YT.Player("cyp-popup-object-video",
		{
			playerVars:
			{
				enablejsapi: 1,
				iv_load_policy: 3,
				modestbranding: 0,
				vq: quality,
				theme: "dark",
				showinfo: 0,
				controls: true,
				wmode: 'opaque',
				autoplay: 1,
				rel : 0,
				start : 0,
				end : 0,
				autohide : 1
			},
			height: (transformFactor * 18),
			width: (transformFactor * 32),
			videoId: videoid,
			events:
			{
				'onStateChange': CleverYouTubePluginHelper.onPopupPlayerStateChange
			}
		});
		
		cyppopupobject = tempPlayer;
	},

	onPopupPlayerStateChange : function (newState)
	{
		if (( newState.data == 0 ) || ( newState.data == 5 ))
		{
			var theNameOfTheDiv = newState.target.a.id;
			
			// free video player from memory
			newState.target.destroy();

			CleverYouTubePluginHelper.destroyPopopPlayer();
		}
	},

	destroyPopopPlayer : function ()
	{
		jQuery(".cyp-popup-object-wrapper").remove();
	},

	onPlayerStateChange : function (newState)
	{
		if (( newState.data == 0 ) || ( newState.data == 5 ))
		{
			var theNameOfTheDiv = newState.target.a.id;
			var theNumberOfTheDiv = theNameOfTheDiv.replace(/[^0-9]/g,'');
			
			// free video player from memory
			newState.target.destroy();

			CleverYouTubePluginHelper.videoEnded(theNumberOfTheDiv);
		}
	},

	videoEnded : function(num)
	{
		// Reveal the after-pic and after-html
		if ( jQuery.trim( jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-html").html() ) == "" )
		{
			if (cypObjectOptions[num].showrepeatbutton)
			{
				// Show the play button
				jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-repeat-button").show();
			}
		}
		else
		{
			jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-html").show();
		}

		if (cypObjectOptions[num].afterpic != null)
		{
			jQuery(".cyp-video-object-holder[data-count=" + num + "] .cyp-video-object-after-image").show();
		}	
	}
}

var CleverYouTubePluginObject = function (element)
{
	var self = this;
	var element = jQuery(element);
	var count = element.attr("data-count");
	var isResponsive = cypObjectOptions[count].responsive;

	init();
	function init ()
	{
		// Check resize
		CleverYouTubePluginHelper.checkResize();

		// Change quality if needed
		if (isResponsive)
		{

			the_width = element.find(".cyp-video-object").width();
			switch(cypObjectOptions[count].quality)
			{
				case "small":
				break;
				case "medium":
					if (the_width < 260)
					{
						cypObjectOptions[count].quality = "small";
					}
				break;
				case "large":
					if (the_width < 260)
					{
						cypObjectOptions[count].quality = "small";
					}
					else if (the_width < 470)
					{
						cypObjectOptions[count].quality = "medium";
					}
				break;
				case "hd720":
					if (the_width < 260)
					{
						cypObjectOptions[count].quality = "small";
					}
					else if (the_width < 470)
					{
						cypObjectOptions[count].quality = "medium";
					}
					else if (the_width < 700)
					{
						cypObjectOptions[count].quality = "large";
					}
				break;
				case "hd1080":
					if (the_width < 260)
					{
						cypObjectOptions[count].quality = "small";
					}
					else if (the_width < 470)
					{
						cypObjectOptions[count].quality = "medium";
					}
					else if (the_width < 700)
					{
						cypObjectOptions[count].quality = "large";
					}
					else if (the_width < 1070)
					{
						cypObjectOptions[count].quality = "hd720";
					}
				break;
				case "highres":
					if (the_width < 260)
					{
						cypObjectOptions[count].quality = "small";
					}
					else if (the_width < 470)
					{
						cypObjectOptions[count].quality = "medium";
					}
					else if (the_width < 700)
					{
						cypObjectOptions[count].quality = "large";
					}
					else if (the_width < 1070)
					{
						cypObjectOptions[count].quality = "hd720";
					}
					else if (the_width >= 1070)
					{
						cypObjectOptions[count].quality = "hd1080";
					}
				break;
				default:
					cypObjectOptions[count].quality = "medium";
			}
		}

		// Hide if hidden
		jQuery(".cyp-video-object-holder[data-count=" + count + "].cyp-toggle .cyp-video-object").hide();
		jQuery(".cyp-video-object-holder[data-count=" + count + "].cyp-toggle .cyp-video-object-caption").hide();

		// Register toggle handle
		jQuery(".cyp-video-object-holder[data-count=" + count + "].cyp-toggle .cyp-toggle-handle").on("mousedown", function ()
		{
			CleverYouTubePluginHelper.toggle(count);
		});

		// Register Play Button Click
		jQuery(".cyp-video-object-holder[data-count=" + count + "] .cyp-video-object-play-button").on("mousedown", function ()
		{
			CleverYouTubePluginHelper.playClicked(count);
		});

		// Register Repeat Button Click
		jQuery(".cyp-video-object-holder[data-count=" + count + "] .cyp-video-object-repeat-button").on("mousedown", function ()
		{
			CleverYouTubePluginHelper.playClicked(count);
		});

		// Fix the images in the cyp-video-object-image-container
		CleverYouTubePluginHelper.resetImageContainers(count);
	}
}


function onYouTubePlayerAPIReady (id)
{
	// Run through the array of videos, and play the ones that have "autoplay" on.
	cypobjectlength = cypObjectOptions.length;
	for (var i=1; i < cypobjectlength; i++)
	{
		if (cypObjectOptions[i].autoplay == true)
		{
			CleverYouTubePluginHelper.playClicked(i);
		}	
	}
}

CleverYouTubePluginHelper.loadYouTubeiFrameAPI();

jQuery(document).ready(function ()
{
	// Do initial setup here
	// CleverYouTubePluginHelper.greeting();
	// CleverYouTubePluginHelper.loadYouTubeiFrameAPI();

	jQuery(".cyp-video-object-holder .cyp-video-object-play-button").each(function (i, j) {
		jQuery(this).live("mousedown", function ()
		{
			count = jQuery(this).parent().parent().attr("data-count");
			CleverYouTubePluginHelper.playClicked(count);
		});
	});

	CleverYouTubePluginHelper.checkForFlash();
	CleverYouTubePluginHelper.removeWrappers();
	CleverYouTubePluginHelper.proccessObjects();
	CleverYouTubePluginHelper.resetAllImages();
	CleverYouTubePluginHelper.resetPadding();

	// Check Queue
	for (var i = 0; i < cleveryoutube_queue.length; i++)
	{
		CleverYouTubePluginHelper.playClicked( cleveryoutube_queue[i] );
	}

	// Remove loading indicator
	jQuery(".cyp-video-object-play-button-loading").remove();

	// Responsive
	jQuery(window).resize(CleverYouTubePluginHelper.checkResize);
	cypresponsivetimer = setInterval(CleverYouTubePluginHelper.checkResize, 1000);
});

jQuery(window).bind("load", function ()
{
	CleverYouTubePluginHelper.proccessObjects();
	CleverYouTubePluginHelper.resetAllImages();
});