<?php
add_action( 'add_meta_boxes', 'my_function_to_add_page_box' );  

function my_function_to_add_page_box()  {  
    add_meta_box( 'sprezzatura-page-meta', 'The sprezzatura Page Box', 'my_function_to_draw_sprezzatura_page_box', 'page', 'normal', 'high' );  
}  

function my_function_to_draw_sprezzatura_page_box($post) {  

    // Get values for filling in the user's inputs below


	$val_sprezzatura_metatitle = get_post_meta( $post->ID, '_sprezzatura_metatitle', true );	
	$val_sprezzatura_metadescription = get_post_meta( $post->ID, '_sprezzatura_metadescription', true );	


	$val_sprezzatura_page_noindex_this = get_post_meta( $post->ID, '_sprezzatura_page_noindex_this', true ); 
	
	// Nonce to verify intention later  
    wp_nonce_field( 'save_sprezzatura_meta', 'sprezzatura_nonce' );  
?>

    <!-- bring in the framework -->
    <link rel="stylesheet" href="<?php bloginfo('template_url'); ?>/framework/style-fw.css" type="text/css" media="screen" />
    <script type="text/JavaScript" src="<?php bloginfo('template_url'); ?>/framework/functions-fw.js"></script>
        
    
    <?php
		// Get the name of the website so we can include it in the green google preview below.
		$niceLookingHomeURL = get_option('home');
		$niceLookingHomeURL = str_replace('http://', '', $niceLookingHome);
	?>
    

    
	<h4><a onclick="showhideHelp('div_help_metatags')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 1: Optimize your meta info for the search engines.</h4>
    <div class="divhelpbox" style="display: none;" id="div_help_metatags">
    
		<h4>Working with Search Engine meta information</h4>
    
        <p>When we say &quot;meta information&quot; here, we'll refer to three things:</p>
        
        <div style="margin-left: 20px; padding-left: 10px; border-left: 4px solid #ede5d3;">
        
            <h4>1. The Title Tag</h4>
            <p style="font-weight: bold; color: #C60;">Approximate Character Count: 65</p>
            <p>The Title Tag.</strong> The content for this tag is the same as your &quot;post title.&quot;</p>
    
            <h4>2. The Post Slug</h4>
            <p style="font-weight: bold; color: #C60;">Approximate Character Count: 75 (including the domain name)</p>        
            <p>In WordPress the slug is that little cluster of text up there near the permalink. The slug should compliment the post title. But it should be a shorter version of it. And it should convey to the web searcher exactly what your post is about -- in two or three words. Note that once you have posted this article, you should never change the slug--as this is the address by which Google will index this page.</p>            
    
            <h4>3. The Meta Description</h4>
            <p style="font-weight: bold; color: #C60;">Approximate Character Count: 160</p>        
            <p>The content for this tag is filled in via the WordPress &quot;Excerpt&quot; box. (If you do not currently see the WordPress &quot;Excerpt&quot; box anywhere on your page, then click the "Screen Options" button on the top right of your screen, and make sure the word "Excerpt" has a checkmark next to it.)</p>
            <p>Add phone number</p>        
            <p>Google gives you two lines to tell people what your post is about. So brevity is important here. Also, you'll want to be sure you use the entire width of these two lines--so you can take up as much of teh SERP real estate as possible.</p>    
                    
        </div>    
	</div>   

    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- START - The Meta Editor --> 
    <!-- ======================================================= --> 
        
    <!-- START - Draw the snippet --> 
	<div style="max-width: 530px;">
        <div style="width: 100%; height: 10px; background:url(<?php bloginfo('template_url'); ?>/framework/images/snippet/prev-window-cap-top.png) top left repeat-x;"></div>                
        <div style="background-color: white; padding: 9px; border: 0px solid #dfdfdf;">
            <p style="width: 500px; color: #1122cc; text-decoration: underline; font-size: 12pt; margin: 0px;"><input autocomplete="off" onmouseover="this.style.backgroundColor='#c3e6ff';" onmouseout="this.style.backgroundColor='white';" placeholder="Click here to insert your 65-character meta title." style="color: #1122cc; text-decoration: underline; font-size: 12pt; font-family: Arial; border: 0px solid #CCC;" type="text" class="widefat" id="input_sprezzatura_metatitle" name="input_sprezzatura_metatitle" value="<?php echo $val_sprezzatura_metatitle; ?>" /></p>
            <p style="width: 500px; color: #009952; text-decoration: none; font-size: 9pt; margin: 0px 0px 0px 3px;"><span id="mySlugDisplay">slug</span>/</p>
            <p style="width: 500px; color: black; text-decoration: none; font-size: 9pt; margin: 0px;"><textarea onmouseover="this.style.backgroundColor='#c3e6ff';" onmouseout="this.style.backgroundColor='white';" placeholder="Click here to insert your 160-character meta description. The search engines will use this sentence to give their users an idea about the content of this page." style="font-family: Arial; border: 0px solid #CCC; outline: none;" class="widefat" rows="2" id="input_sprezzatura_metadescription" name="input_sprezzatura_metadescription" ><?php echo $val_sprezzatura_metadescription; ?></textarea></p>
        </div> 
        <div style="width: 100%; height: 10px; background:url(<?php bloginfo('template_url'); ?>/framework/images/snippet/prev-window-cap-bottom.png) top left repeat-x;"></div>      
	</div>        
    <!-- END - Draw the snippet --> 

	<script> 
    
        // if the slugID is not NULL, then our slug test is equal to the text of the innerHTML.
        var mySlugID = document.getElementById('editable-post-name');
        if (mySlugID != null) { mySlugTxt = mySlugID.innerHTML; };
                    
        // get the website domain name.
        var TheSiteDomainName = "<?php $NiceLookingHomePage = get_option('home'); echo str_replace('http://','',$NiceLookingHomePage); ?>";
        
        // set the green URL
        if (mySlugID != null) {
            document.getElementById('mySlugDisplay').innerHTML = (TheSiteDomainName + "/" + mySlugTxt);
        } else {
            document.getElementById('mySlugDisplay').innerHTML = TheSiteDomainName;
        }
            
    </script> 


    <!-- ======================================================= --> 
    <!-- END - The Meta Editor --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 
    <!-- ======================================================= --> 




    
	<h4><a onclick="showhideHelp('div_help_options')" href="javascript:void(0)"><img src="<?php bloginfo('template_url'); ?>/framework/images/qm.png"></a> Step 2: Should we "noindex" this page?</h4>      
    <div class="divhelpbox" style="display: none;" id="div_help_options">
    
        <h4>What does "noindex" do?</h4>
        
        <p>It tells search engines that you do not want this post to be included in their index.</p>
        
        <h4>Why would you want to &quot;noindex&quot; this?</h4>
        
        <p>Basically, Google would like you to noindex any piece of content that would 
        not benefit their searchers. Their goal is to return the best index of websites 
        for any given search query. And you help them with this goal when you noindex 
        posts that you don't think would be very useful to people.</p>
        
        <p>Here are a few other reasons:</p>
        
            <ol>
             <li><b>The page contains "special content" that is only for your subscribers or for paying customers.</b> Sometimes you'd like visitors to subscribe to your email list first before allowing them to view your resources. But if you don't "noindex" the post, then they may just find your content on Google, and bypass your email gateway.</li>
             <li><b>The page contains administrative info.</b> Perhaps the post merely contains an instruction book or a report on a bug fix. Perhaps some login information or some content that is only internally relevant to your company staff.</li>
             <li><b>The page is merely ephemera.</b> Sometimes companies put out transitory written material that is only relevant to a select few--for a brief instant in time. For example, an announcement about an upcoming church bake sale in the heart of Boise Idaho, would not be particularly relevant to the masses.</li>
             <li><b>The page is not of high enough quality yet.</b> Google wants you to put your best foot forward. And these days, one bad post can (in theory) effect your entire website. So if your post is not yet ready for primetime, then you might consider noindexing it until it is.</li>
            </ol>
                         
	</div>
	<p><input type="checkbox" name="input_sprezzatura_page_noindex_this" value="1" <?php checked( '1', $val_sprezzatura_page_noindex_this ); ?> />&nbsp;<label>"Noindex" this page.</label></p>
    

       
             
<?php
}  
?><?php

add_action( 'save_post', 'my_function_to_save_page' );  

function my_function_to_save_page( $id ) {  

	// Handle the errors
    if( defined( 'DOING_AUTOSAVE' ) && DOING_AUTOSAVE ) return;  
    if( !isset( $_POST['sprezzatura_nonce'] ) || !wp_verify_nonce( $_POST['sprezzatura_nonce'], 'save_sprezzatura_meta' ) ) return;  
    if( !current_user_can( 'edit_post' ) ) return;  

	// ===============================================================	
	// Save the values
	// ===============================================================
		
    update_post_meta($id,'_sprezzatura_page_noindex_this',$_POST['input_sprezzatura_page_noindex_this']);
	
    update_post_meta($id,'_sprezzatura_metatitle',$_POST['input_sprezzatura_metatitle']);
	update_post_meta($id,'_sprezzatura_metadescription',$_POST['input_sprezzatura_metadescription']);


  
} ?>